Commit a0e5cc40 authored by Aaron Gable's avatar Aaron Gable

Remove SVN code from update_depot_tools

R=maruel@chromium.org
BUG=600446

Review URL: https://codereview.chromium.org/2088653003 .
parent f0834e44
...@@ -26,7 +26,7 @@ if [ $MSYS = 0 ]; then ...@@ -26,7 +26,7 @@ if [ $MSYS = 0 ]; then
fi fi
# Test if this script is running under a MinGW install. If it is, we will # Test if this script is running under a MinGW install. If it is, we will
# hardcode the paths to SVN and Git where possible. # hardcode the paths to Git where possible.
OUTPUT="$(uname | grep 'MINGW')" OUTPUT="$(uname | grep 'MINGW')"
MINGW=$? MINGW=$?
...@@ -56,11 +56,6 @@ fi ...@@ -56,11 +56,6 @@ fi
CANONICAL_GIT_URL="https://chromium.googlesource.com/chromium/tools/depot_tools.git" CANONICAL_GIT_URL="https://chromium.googlesource.com/chromium/tools/depot_tools.git"
SVN="svn"
if [ -d "$base_dir/svn_bin" -a $MINGW = 0 ]; then
SVN="$base_dir/svn_bin/svn.exe"
fi
GIT="git" GIT="git"
if [ -e "$base_dir/git.bat" -a $MINGW = 0 ]; then if [ -e "$base_dir/git.bat" -a $MINGW = 0 ]; then
GIT="cmd.exe //c \"$base_dir\\git.bat\"" GIT="cmd.exe //c \"$base_dir\\git.bat\""
...@@ -76,33 +71,12 @@ function test_git { ...@@ -76,33 +71,12 @@ function test_git {
GITV="${GITV##* }" # Only examine last word (i.e. version number) GITV="${GITV##* }" # Only examine last word (i.e. version number)
local GITD=( ${GITV//./ } ) # Split version number into decimals local GITD=( ${GITV//./ } ) # Split version number into decimals
if ((GITD[0] < 1 || (GITD[0] == 1 && GITD[1] < 6) )); then if ((GITD[0] < 1 || (GITD[0] == 2 && GITD[1] < 8) )); then
echo "git version is ${GITV}, please update to a version later than 1.6" echo "git version is ${GITV}, please update to a version later than 2.8"
exit 1
fi
}
# Test git svn and git svn --version.
function test_git_svn {
local GITV
GITV="$(eval "$GIT" svn --version)" || {
echo "git-svn isn't installed, please install it"
exit 1
}
GITV="${GITV#* version }" # git svn --version has extra output to remove.
GITV="${GITV% (svn*}"
local GITD=( ${GITV//./ } ) # Split version number into decimals
if ((GITD[0] < 1 || (GITD[0] == 1 && GITD[1] < 6) )); then
echo "git version is ${GITV}, please update to a version later than 1.6"
exit 1 exit 1
fi fi
} }
function is_git_clone_repo {
eval "$GIT" config remote.origin.fetch > /dev/null
}
function update_git_repo { function update_git_repo {
remote_url=$(eval "$GIT" config --get remote.origin.url) remote_url=$(eval "$GIT" config --get remote.origin.url)
if [ -n "$remote_url" -a "$remote_url" != "$CANONICAL_GIT_URL" ]; then if [ -n "$remote_url" -a "$remote_url" != "$CANONICAL_GIT_URL" ]; then
...@@ -121,32 +95,16 @@ function update_git_repo { ...@@ -121,32 +95,16 @@ function update_git_repo {
fi fi
fi fi
if is_git_clone_repo; then git fetch -q origin &> /dev/null
git fetch -q origin &> /dev/null local REBASE_TXT STATUS
local REBASE_TXT STATUS REBASE_TXT=$(git rebase -q origin/master 2>&1)
REBASE_TXT=$(git rebase -q origin/master 2>&1) STATUS=$?
STATUS=$? if [[ $STATUS -ne 0 ]]; then
if [[ $STATUS -ne 0 ]]; then echo "depot_tools update failed. Conflict in $base_dir" >&2
echo "depot_tools update failed. Conflict in $base_dir" >&2 echo "$REBASE_TXT" >&2
echo "$REBASE_TXT" >&2 git rebase --abort 2> /dev/null
git rebase --abort 2> /dev/null
fi
return $STATUS
fi
test_git_svn
# work around a git-svn --quiet bug
OUTPUT=`eval "$GIT" svn rebase -q -q`
if [[ ! "$OUTPUT" == *Current.branch* ]]; then
echo $OUTPUT 1>&2
fi fi
return 0 return $STATUS
}
# Get the current SVN revision.
get_svn_revision() {
LANGUAGE=C "$SVN" info "$base_dir" | \
awk -F': ' '{ if ($1 == "Last Changed Rev") { print $2 }}'
} }
# Update git checkouts. # Update git checkouts.
...@@ -163,26 +121,14 @@ then ...@@ -163,26 +121,14 @@ then
echo "========================" echo "========================"
echo "WARNING: You have an SVN checkout of depot_tools!" echo "WARNING: You have an SVN checkout of depot_tools!"
echo echo
echo "depot_tools is migrating to Git on June 6, 2016. If you still have an" echo "depot_tools has migrated to Git. You are"
echo "SVN checkout then, you will STOP RECEIVING UPDATES to depot_tools." echo "NO LONGER RECEIVING UPDATES to depot_tools."
echo echo
echo "Before that date, please follow the instructions here[1] to get a Git" echo "You must follow these instructions[1] to get a Git copy of depot_tools."
echo "copy of depot_tools."
echo echo
echo "[1]: https://www.chromium.org/developers/how-tos/install-depot-tools" echo "[1]: https://www.chromium.org/developers/how-tos/install-depot-tools"
echo "========================" echo "========================"
# Update the root directory to stay up-to-date with the latest depot_tools. return 1
BEFORE_REVISION=$(get_svn_revision)
if echo $* | grep -e --force > /dev/null; then
"$SVN" -q revert -R "$base_dir"
fi
"$SVN" -q up "$base_dir"
AFTER_REVISION=$(get_svn_revision)
if [[ "$BEFORE_REVISION" != "$AFTER_REVISION" ]]; then
if [ -z "$DEPOT_TOOLS_HIDE_UPDATED_MESSAGE" ]; then
echo "Depot Tools has been updated to revision $AFTER_REVISION." 1>&2
fi
fi
fi fi
find "$base_dir" -iname "*.pyc" -exec rm -f {} \; find "$base_dir" -iname "*.pyc" -exec rm -f {} \;
...@@ -9,7 +9,7 @@ setlocal ...@@ -9,7 +9,7 @@ setlocal
:: Windows freaks out if a file is overwritten while it's being executed. Copy :: Windows freaks out if a file is overwritten while it's being executed. Copy
:: this script off to a temporary location and reinvoke from there before :: this script off to a temporary location and reinvoke from there before
:: running any svn or git commands. :: running any git commands.
IF "%~nx0"=="update_depot_tools.bat" ( IF "%~nx0"=="update_depot_tools.bat" (
COPY /Y "%~dp0update_depot_tools.bat" "%TEMP%\update_depot_tools_tmp.bat" >nul COPY /Y "%~dp0update_depot_tools.bat" "%TEMP%\update_depot_tools_tmp.bat" >nul
if errorlevel 1 goto :EOF if errorlevel 1 goto :EOF
...@@ -41,27 +41,19 @@ goto :EOF ...@@ -41,27 +41,19 @@ goto :EOF
echo ======================== echo ========================
echo WARNING: You have an SVN checkout of depot_tools! echo WARNING: You have an SVN checkout of depot_tools!
echo. echo.
echo depot_tools is migrating to Git on June 6, 2016. If you still have an echo depot_tools has migrated to Git. You are
echo SVN checkout then, you will STOP RECEIVING UPDATES to depot_tools. echo NO LONGER RECEIVING UPDATES to depot_tools.
echo. echo.
echo Before that date, please follow the instructions here[1] to get a Git echo You must follow these instructions[1] to get a Git copy of depot_tools.
echo copy of depot_tools.
echo. echo.
echo [1]: https://www.chromium.org/developers/how-tos/install-depot-tools echo [1]: https://www.chromium.org/developers/how-tos/install-depot-tools
echo ======================== echo ========================
FOR %%A IN (%*) DO (
IF "%%A" == "--force" (
call svn -q revert -R "%DEPOT_TOOLS_DIR%."
)
)
call svn -q up "%DEPOT_TOOLS_DIR%."
goto :EOF goto :EOF
:GIT_UPDATE :GIT_UPDATE
cd /d "%DEPOT_TOOLS_DIR%." cd /d "%DEPOT_TOOLS_DIR%."
call git config remote.origin.fetch > NUL call git config remote.origin.fetch > NUL
if errorlevel 1 goto :GIT_SVN_UPDATE
for /F %%x in ('git config --get remote.origin.url') DO ( for /F %%x in ('git config --get remote.origin.url') DO (
IF not "%%x" == "%GIT_URL%" ( IF not "%%x" == "%GIT_URL%" (
echo Your depot_tools checkout is configured to fetch from an obsolete URL echo Your depot_tools checkout is configured to fetch from an obsolete URL
...@@ -75,9 +67,3 @@ call git fetch -q origin > NUL ...@@ -75,9 +67,3 @@ call git fetch -q origin > NUL
call git rebase -q origin/master > NUL call git rebase -q origin/master > NUL
if errorlevel 1 echo Failed to update depot_tools. if errorlevel 1 echo Failed to update depot_tools.
goto :EOF goto :EOF
:GIT_SVN_UPDATE
cd /d "%DEPOT_TOOLS_DIR%."
call git svn rebase -q -q
goto :EOF
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment